import main
from utils.deliver_relay_commands import deliverRelayCommands


class AdmallCommand:
    def __init__(self, *args):
        self.admall(*args)

    def admall(
        self, addr, authed, data, obj, spl, success, failure, info, incUsage, length
    ):
        if authed:
            if length > 2:
                for i in main.network.keys():
                    for x in main.network[i].relays.keys():
                        num = main.network[i].relays[x]["id"]
                        commands = {spl[1]: [" ".join(spl[2:])]}
                        success("Sending commands to relay %s" % (num))
                        deliverRelayCommands(num, commands)
                return
            else:
                incUsage("admall")
                return
        else:
            incUsage(None)
